<div class="mt-4 blocks feed-details">
  <!--The below section are commented to hide Library Object Onboard from NVS perspective. DO NOT DELETE-->
  <!-- <div class="onboard-btns" *ngIf="!editparam">
      <button #btnLibObj class="btn btn-warning btn-left"
      [ngClass]="{'btn-warning': activeOnboardOption === onboardOptions[0], 'btn-outline-warning': activeOnboardOption === onboardOptions[1]}"
        (click)="toggleOnboardOption(onboardOptions[0])">{{dataFeedContent.onboardingOptions.libraryObject}}</button>
      <button #btnNewObj class="btn btn-outline-warning btn-right"
      [ngClass]="{'btn-outline-warning': activeOnboardOption === onboardOptions[0], 'btn-warning': activeOnboardOption === onboardOptions[1]}"
        (click)="toggleOnboardOption(onboardOptions[1])">{{dataFeedContent.onboardingOptions.newObject}}</button>
    </div> -->
  <div class="row">
    <div class="col-md-10 d-flex">
      <div class="text-dark font-weight-bold mb-1">{{dataFeedContent.setupFeedDetails}}</div>
      <ejs-tooltip id="tooltip" content={{dataFeedContent.setupFeedDetails}}><em
          class="fa fa-info-circle ml-1 info-icon"></em></ejs-tooltip>
    </div>
    <div class="text-danger text-right font-weight-bold ml-16">*{{dataFeedContent.required}}</div>
  </div>
  <hr class="bg-light customHR mt-2">
  <form ngForm #dataFeedForm="ngForm">
    <div class="col-md-10">
      <div *ngIf="activeOnboardOption==onboardOptions[0] && !editparam" class="blocks d-flex">
        <h6 class="text-left text-dark font-weight-bold"><span class="text-danger"> *</span></h6>
        <ejs-dropdownlist name="dataProviderName" #dataProvider="ngModel" cssClass="e-outline" class="custom-combo"
          [(ngModel)]="dataFeedDetails.data_provider_name" [dataSource]="dataProviderList" [fields]="dataProviderFields"
          (change)="dataProviderChange($event)" [placeholder]="dataFeedContent.watermark" required>
        </ejs-dropdownlist>
        <!-- <ejs-tooltip id="tooltip" content={{dataFeedContent.dataProvider.subtitle}}>
          <em class="fa fa-info-circle mt-3 ml-2"></em></ejs-tooltip> -->
        <div *ngIf="dataProvider.invalid && (dataProvider.touched)" class="errorMsg">
          <div *ngIf="dataProvider.errors.required">
            {{dataFeedContent.dataProvider.dataProviderError}}
          </div>
        </div>
      </div>
    </div>
    <div class="row d-flex">
      <div *ngIf="activeOnboardOption==onboardOptions[1] || editparam" class="col-md-5 mb-1">
        <span class="text-danger font-weight-bold ml-11">* </span>
        <span class="text-left text-dark font-weight-bold">{{dataFeedContent.dataProvider.title}}</span>
        <ejs-dropdownlist *ngIf="!editparam" name="dataProviderNameCB" #dataProviderNameCB="ngModel"
          [(ngModel)]="dataFeedDetails.data_provider_name" [dataSource]="allProviderList"
          [fields]="dataProviderCBFields" (change)="dataProviderChange($event)" cssClass="e-outline"
          class="mr-6 custom-combo" (close)="onProviderChangeComplete()"
          [ngClass]="!showProviderNameTextbox && dataProviderNameCB.invalid && dataProviderNameCB.touched?'error-control-highlight':''"
          [placeholder]="dataFeedContent.watermark" required [disabled]="editparam"></ejs-dropdownlist>
        <!-- <ejs-tooltip id="tooltip" content={{dataFeedContent.dataProvider.subtitlecombobox}}>
          <em class="fa fa-info-circle mt-3 ml-2"
            [ngClass]="dataProviderNameCB.invalid && dataProviderNameCB.touched?'error-info-highlight':''">
          </em></ejs-tooltip> -->
          <div *ngIf="editparam">
            <p class="text-left text-muted mt-3">{{dataFeedDetails.data_provider_name}}</p>
          </div>
      </div>
      
      <div *ngIf="showProviderNameTextbox && !editparam" class="col-md-5 mb-1 mt-4">
        <ejs-textbox name="othersDataProviderName" #othersDataProviderName="ngModel"
          [(ngModel)]="dataFeedDetails.data_provider_name" required cssClass="e-outline" class="mr-6 custom-textbox"
          maxlength="50"
          [ngClass]="othersDataProviderName.invalid && othersDataProviderName.touched?'error-control-highlight':''">
        </ejs-textbox>
      </div>

    </div>

    <div *ngIf="activeOnboardOption==onboardOptions[0] && !editparam" class="col-md-10 mb-1">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{dataFeedContent.dataSet.title}}</span>
      <ejs-dropdownlist name="dataSetName" #dataSet="ngModel" [(ngModel)]="dataFeedDetails.data_set_name"
        cssClass="e-outline" required [dataSource]="dataSetList" (change)="dataSetChange($event)"
        [fields]="dataSetFields" [placeholder]="dataFeedContent.watermark">
      </ejs-dropdownlist>
      <!-- <ejs-tooltip id="tooltip" content={{dataFeedContent.dataSet.subtitle}}>
          <em class="fa fa-info-circle mt-3 ml-2"></em></ejs-tooltip> -->
      <div *ngIf="dataSet.invalid && (dataSet.touched)" class="errorMsg">
        <div *ngIf="dataSet.errors.required">
          {{dataFeedContent.dataSet.dataSetError}}
        </div>
      </div>
    </div>
    <div class="row d-flex">
      <div *ngIf="activeOnboardOption==onboardOptions[1] || editparam" class="col-md-5 mb-1">
        <span class="text-danger font-weight-bold ml-11">* </span>
        <span class="text-left text-dark font-weight-bold">{{dataFeedContent.dataSet.title}}</span>
        <ejs-dropdownlist *ngIf="!editparam" name="dataSetNameCB" #dataSetNameCB="ngModel" [(ngModel)]="dataFeedDetails.data_set_name"
          [dataSource]="allDataSetList" [fields]="dataSetFields" (change)="dataSetChange($event)"
          (close)="onDatasetChangeComplete()" cssClass="e-outline" class="mr-6 custom-combo"
          [ngClass]="!showDatasetNameTextbox && dataSetNameCB.invalid && dataSetNameCB.touched?'error-control-highlight':''"
          [placeholder]="dataFeedContent.watermark" required [disabled]="editparam"></ejs-dropdownlist>
        <!-- <ejs-tooltip id="tooltip" content={{dataFeedContent.dataSet.subtitlenew}}>
          <em class="fa fa-info-circle mt-3 ml-2"
            [ngClass]="dataSetNameCB.invalid && dataSetNameCB.touched?'error-info-highlight':''">
          </em></ejs-tooltip> -->
          <div *ngIf="editparam">
            <p class="text-left text-muted mt-3">{{dataFeedDetails.data_set_name}}</p>
          </div>
      </div>
      <div *ngIf="showDatasetNameTextbox && !editparam" class="col-md-5 mb-1 mt-4">
        <ejs-textbox name="othersDataSetName" #othersDataSetName="ngModel" [(ngModel)]="dataFeedDetails.data_set_name"
          required cssClass="e-outline" class="mr-6 custom-textbox" maxlength="50"
          [ngClass]="othersDataSetName.invalid && othersDataSetName.touched?'error-control-highlight':''">
        </ejs-textbox>
      </div>

    </div>
    <div *ngIf="activeOnboardOption==onboardOptions[0] && !editparam" class="col-md-10 mb-1">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{dataFeedContent.fileType.title}}</span>
      <ejs-dropdownlist name="fileTypeName" #fileType="ngModel" [(ngModel)]="dataFeedDetails.master_obj_id"
        cssClass="e-outline" [ngClass]="fileType.invalid && fileType.touched?'error-control-highlight':''" required
        [dataSource]="fileTypeList" (change)="fileTypeChange($event)" [fields]='fileTypeFields'
        [placeholder]="dataFeedContent.watermark">
      </ejs-dropdownlist>
      <!-- <ejs-tooltip id="tooltip" content={{dataFeedContent.fileType.subtitle}}>
          <em class="fa fa-info-circle mt-3 ml-2" [ngClass]="fileType.invalid && fileType.touched?'error-info-highlight':''"></em>
        </ejs-tooltip> -->
      <div *ngIf="!fileTypeNameValid" class="errorMsg">
        {{dataFeedContent.fileType.fileTypeExistError}}
      </div>
    </div>
    <div class="row">
      <div *ngIf="activeOnboardOption==onboardOptions[1] && !editparam" class="col-md-10 mb-1">
        <span class="text-danger font-weight-bold ml-11">* </span>
        <span class="text-left text-dark font-weight-bold">{{dataFeedContent.fileType.title}}</span>
        <div class="d-flex">
          <ejs-textbox name="txtFileTypeName" #txtFileType="ngModel" [(ngModel)]="dataFeedDetails.file_type_name"
            required cssClass="e-outline" class="mr-6 custom-textbox" (change)="onFileTypeChange($event)"
            [pattern]="fileTypePattern"
            [ngClass]="txtFileType.invalid && txtFileType.touched?'error-control-highlight':''" maxlength="50">
          </ejs-textbox>
          <ejs-tooltip id="tooltip" content={{dataFeedContent.fileType.subtitle}}>
            <em class="fa fa-info-circle mt-2 ml-2"
              [ngClass]="!fileTypeNameValid || (txtFileType.invalid && txtFileType.touched)?'error-info-highlight':''"></em>
          </ejs-tooltip>
        </div>
      </div>
    </div>
    <div class="row">
      <div *ngIf="editparam" class="col-md-10 mb-1">
        <span class="text-danger font-weight-bold ml-11">* </span>
        <span class="text-left text-dark font-weight-bold">{{dataFeedContent.fileType.title}}</span>
        <!-- <div  class="d-flex">
          <ejs-textbox name="fileTypeName" #fileType="ngModel" [(ngModel)]="dataFeedDetails.file_type_name" required
            disabled autocomplete="off" [pattern]="fileTypePattern" cssClass="e-outline" class="mr-6 custom-textbox"
            [ngClass]="fileType.invalid && fileType.touched?'error-textbox-highlight':''" maxlength="50">
          </ejs-textbox>
          <div *ngIf="fileType.errors?.pattern" class="errorMsg">
            {{dataFeedContent.fileType.fileTypePatternError}}
          </div>
          <ejs-tooltip id="tooltip" content={{dataFeedContent.fileType.subtitle}}>
            <em class="fa fa-info-circle mt-2 ml-2"
              [ngClass]="fileType.invalid && fileType.touched?'error-info-highlight':''"></em>
          </ejs-tooltip>
        </div> -->
        <div *ngIf="editparam">
          <p class="text-left text-muted mt-3">{{dataFeedDetails.file_type_name}}</p>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-10 mb-1">
        <p class="text-left text-dark mt-2 mb-1 font-weight-bold">{{dataFeedContent.fileDescription.title}}</p>
        <div class="d-flex">
          <div class="multiline mt-1">
            <ejs-textbox name="txtFileDescription" #txtFileDescription="ngModel"
              [(ngModel)]="dataFeedDetails.file_description" autocomplete="off" cssClass="e-outline"
              class="mr-6 custom-textarea" maxlength="250" [multiline]="true">
            </ejs-textbox>
          </div>
        </div>
        <!-- <ejs-tooltip id="tooltip" content={{dataFeedContent.fileDescription.subtitle}}>
          <em class="fa fa-info-circle mt-3 ml-2"></em>
        </ejs-tooltip> -->
      </div>
    </div>
    <div class="row mt-5">
      <div class="col-md-10 d-flex">
        <div class="text-dark font-weight-bold mb-1">{{dataFeedContent.selectSourceType}}</div>
        <ejs-tooltip id="tooltip" content={{dataFeedContent.selectSourceType}}><em
            class="fa fa-info-circle ml-1 info-icon"></em></ejs-tooltip>
      </div>
      <div class="text-danger text-right font-weight-bold ml-16">*{{dataFeedContent.required}}</div>
    </div>
    <hr class="bg-light customHR mt-2">
    <div class="row mb-5">
      <div class="col-md-5">
        <div class="d-flex">
          <span class="mr-2 mt-2 col-md-5">
            <span class="text-danger font-weight-bold ml-11 mr-2">* </span>
            <ejs-radiobutton label="{{sourceTypeOptions[0]}}" name="sourceTypeFile" [(ngModel)]="activeSourceType"
              cssClass="custom-radio-btn" value="{{sourceTypeOptions[0]}}">
            </ejs-radiobutton>
          </span>
          <span class="mr-2 mt-2 col-md-5">
            <ejs-radiobutton label="{{sourceTypeOptions[1]}}" name="sourceTypeDB" [(ngModel)]="activeSourceType"
              cssClass="custom-radio-btn" value="{{sourceTypeOptions[1]}}" disabled="true">
            </ejs-radiobutton>
          </span>
        </div>
      </div>
    </div>
  </form>
</div>